### Method

# GIRepository Typelib get_namespace

since: 2.80

#### Declaration

    const char*
    gi_typelib_get_namespace (
      GITypelib* typelib
    )

#### Description

Get the name of the namespace represented by `typelib`.

Available since: 2.80

#### Return value

Type: `const char*`

Name of the namespace represented by `typelib`.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.